import java.util.ArrayList;

public class Client {

	public void initiateCalls(ArrayList<Telephone> list) {
		for(Telephone phone : list) {
			if(phone.getPhoneType() == PhoneType.POTSPHONE) {
				PotsPhone pp = (PotsPhone)phone;
				pp.turnManivelle();
				pp.call();
			} else if(phone.getPhoneType() == PhoneType.ISDNPHONE) {
				IsdnPhone ip = (IsdnPhone)phone;
				ip.initializeLine();
				ip.makeConnection();
			} else if(phone.getPhoneType() == PhoneType.OPERATORPHONE) {
				OperatorPhone op = (OperatorPhone)phone;
				op.operatorMode(true);
				op.call();
			}
			/*
			switch(phone.getPhoneType()){
			case POTSPHONE :
				PotsPhone pp = (PotsPhone)phone;
				pp.turnManivelle();
				pp.call();
				break;
			case ISDNPHONE :
				IsdnPhone ip = (IsdnPhone)phone;
				ip.initializeLine();
				ip.makeConnection();
				break;
			case OPERATORPHONE :
				OperatorPhone op = (OperatorPhone)phone;
				op.operatorMode(true);
				op.call();
				break;
			}
			*/
		}
	}		
}
